org.apache.sling.event.jobs

## Interface TopicStatistics

    @ProviderType
    public interface TopicStatistics

Statistic information about a topic. This information is not preserved between restarts of the service. Once a service is restarted, the counters start at zero!

Since:
  3.0

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `getAverageProcessingTime()` The average processing time of a job - this only counts finished jobs.
`long` `getAverageWaitingTime()` The average waiting time of a job in the queue.
`long` `getLastActivatedJobTime()` The time a job has been started last.
`long` `getLastFinishedJobTime()` The time a job has been finished/failed/cancelled last.
`long` `getNumberOfCancelledJobs()` Number of permanently failing or cancelled jobs.
`long` `getNumberOfFailedJobs()` Number of failing jobs.
`long` `getNumberOfFinishedJobs()` Number of successfully finished jobs.
`long` `getNumberOfProcessedJobs()` Number of already processed jobs.
`String` `getTopic()` The topic this statistics is about.

### Method Detail

#### getTopic

    String getTopic()

The topic this statistics is about.

Returns:
  The topic name

#### getNumberOfFinishedJobs

    long getNumberOfFinishedJobs()

Number of successfully finished jobs.

Returns:
  Number of successfully finished jobs.

#### getNumberOfCancelledJobs

    long getNumberOfCancelledJobs()

Number of permanently failing or cancelled jobs.

Returns:
  Number of permanently failing or cancelled jobs.

#### getNumberOfFailedJobs

    long getNumberOfFailedJobs()

Number of failing jobs.

Returns:
  Number of failing jobs.

#### getNumberOfProcessedJobs

    long getNumberOfProcessedJobs()

Number of already processed jobs. This adds `getNumberOfFinishedJobs()`, `getNumberOfCancelledJobs()` and `getNumberOfFailedJobs()`

Returns:
  Number of already processed jobs.

#### getLastActivatedJobTime

    long getLastActivatedJobTime()

The time a job has been started last.

Returns:
  The time a job has been started last.

#### getLastFinishedJobTime

    long getLastFinishedJobTime()

The time a job has been finished/failed/cancelled last.

Returns:
  The time a job has been finished/failed/cancelled last.

#### getAverageWaitingTime

    long getAverageWaitingTime()

The average waiting time of a job in the queue.

Returns:
  The average waiting time of a job in the queue.

#### getAverageProcessingTime

    long getAverageProcessingTime()

The average processing time of a job - this only counts finished jobs.

Returns:
  The average processing time of a job